69 votes

This package is marked as retired

This package has been flagged as retired by the package owner. Continue to use at your own risk

Doc Type Grid Editor

Doc Type Grid Editor for Umbraco 9 is only intended to make it easier to upgrade existing Umbraco 8 projects using Doc Type Grid Editor. Please don't use it for new projects. The package will only live as long as no breaking changes happen in Umbraco (eg. new backoffice)

---

Doc Type Grid Editor is an advanced grid editor for the Umbraco Grid, offering similar functionality as the macro grid editor but using the full power of the doc type editor and data types.

With the macro grid editor you are limited to only using the macro builder and thus the handful of parameter editors that are available. Of course you can create / config your own parameter editors, however this is cumbersome compared to how we can configure data types.

With the Doc Type Grid Editor then, we bridge that gap, allowing you to reuse doc type definitions as blue prints for complex data to be rendered in a grid cell.

Change Log

For a detailed change-log, please see our GitHub repository:

https://github.com/skttl/umbraco-doc-type-grid-editor/blob/dev-v9/CHANGELOG.md

 

Archived files

Documentation

Source code

 Download package
version 10.0.1

NuGet install instructions for Umbraco 7.6.0-9+

Install-Package Our.Umbraco.DocTypeGridEditor

NuGet install instructions for Umbraco 9+

dotnet add package Our.Umbraco.DocTypeGridEditor

Package owner

Søren Kottal

Søren Kottal

Søren has 4018 karma points

Package Compatibility

This package is compatible with the following versions as reported by community members who have downloaded this package:
Works on Umbraco Cloud
Version 11.0.x (untested)
Version 10.3.x (untested)
Version 10.2.x (untested)
Version 10.1.x (untested)
Version 10.0.x (untested)
Version 9.5.x (untested)
Version 9.4.x (untested)
Version 9.3.x (untested)
Version 9.2.x (untested)
Version 9.1.x (untested)
Version 9.0.x (100%)
Version 8.18.x (untested)

You must login before you can report on package compatibility.

Previously reported to work on versions: 8.10.x, 8.9.x, 8.8.x, 8.7.x, 8.6.x, 8.5.x, 8.4.x, 8.3.x, 8.2.x, 8.1.x, 7.15.x, 7.14.x, 7.13.x, 7.12.x, 7.11.x, 7.10.x, 7.9.x, 7.8.x, 7.7.x, 7.6.x, 7.5.x, 7.4.x, 7.3.x, 7.2.x

Package Information